Skip to content

Create or Update Integration Resource

Endpoint: POST /api/integrations/provider/{name}/integration/{integration_name}

Creates a new integration resource under the specified provider, or updates it if it already exists. Integration resources apply to AI/LLMs, vector databases, and RDBMS, where the resources are models, indexes, and tables respectively.

Path Parameters

Parameter Description Type Required/ Optional
name The name of the integration provider in Conductor to which the resource is to be added. This is the integration name, not the provider name. For example, if you have created an OpenAI integration named openAI, use openAI. string Required.
integration_name The name of the resource, which can be:
  • the model name for AI/LLMs
  • the index name for databases
  • the table name for RDBMS
string Required.

Request Body

Format the request body as a JSON object with the following parameters:

Parameter Description Type Required/ Optional
description A description for the integration resource. string Required.
enabled Whether the resource is active and available for use. boolean Required.

Response

Status Description
200 OK Indicates that the resource is created/updated successfully.
401 Unauthorized Authentication required.
403 Forbidden Indicates that the authenticated user does not have permission to update the resources.
404 Not Found The specified integration provider name does not exist.

Examples

Create a new integration resource

The following request creates a new model for an OpenAI integration provider.

Request

curl -X 'POST' \
  'https://<YOUR-SERVER-URL>/api/integrations/provider/openAI/integration/gpt-4o' \
  -H 'accept: */*' \
  -H 'X-Authorization: <TOKEN>' \
  -H 'Content-Type: application/json' \
  -d '{
  "description": "GPT-4o model",
  "enabled": true
}'

Response

Returns 200 OK, indicating that the model is created successfully.

Update an existing integration

The following request updates an existing model description for the OpenAI integration provider..

Request

curl -X 'POST' \
  'https://<YOUR-SERVER-URL>/api/integrations/provider/openAI/integration/gpt-4o' \
  -H 'accept: */*' \
  -H 'X-Authorization: <TOKEN>' \
  -H 'Content-Type: application/json' \
  -d '{
  "description": "Updated description for GPT-4o model",
  "enabled": true
}'

Response

Returns 200 OK, indicating that the model description is updated successfully.